Welcome, Guest. Please login or register.
April 21, 2014, 12:48:07 PM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Software
| | |-+  Mozilla Firefox 4.0 rc1
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: Mozilla Firefox 4.0 rc1  (Read 1652 times)
Alexey
Pardus fellow craft
**
Gender: Male
Posts: 95



View Profile
« on: March 12, 2011, 02:22:32 AM »

Here you can download firefox 4 rc1, and xulrunner 2.0.0 rc1
http://www.wuala.com/krab/Public/pardus/firefox/

I had to work hard to build it. Basically we used the build files from the official repository (ff4b9). But I had to disable a couple of patches, due to non-compatibility. (firefox-multilocale-chrome.patch was fixed for work) and remove all side of bookmarks and search engines.

The reason was the lack of updates, even in the devel repository.

Note!
If you install these packages, they will be replaced by ff4b9 at the first update. Since they are not installed from the repositories. Here is a gift from the manager pisi. As a solution, do not update the worse version of these packages.

Note!
You can build the 64 bit version.
To do this, download the same link two archives in the folder build-files. Unpack them into one directory. First build xulrunner and install it manually, then firefox.

« Last Edit: March 15, 2011, 00:36:12 AM by Alexey » Logged
Alexey
Pardus fellow craft
**
Gender: Male
Posts: 95



View Profile
« Reply #1 on: March 12, 2011, 22:05:24 PM »

Please, dont use this my build, just for fun. I search some patches.
Logged
Alexey
Pardus fellow craft
**
Gender: Male
Posts: 95



View Profile
« Reply #2 on: March 14, 2011, 08:39:06 AM »

Updated: http://www.wuala.com/krab/Public/pardus/firefox/

recompiled ff4rc1. now used searchplugins of localizations
Now I can not find exactly my mistakes. if there are any write here.
While the build-files are not available, later as files are purged of unnecessary lines and patches. i upload them.
Logged
James T
Pardus Master
***
Posts: 155



View Profile
« Reply #3 on: March 14, 2011, 21:17:18 PM »

Firefox 4.0 rc 1 is now in the official testing repository.
Logged
Alexey
Pardus fellow craft
**
Gender: Male
Posts: 95



View Profile
« Reply #4 on: March 14, 2011, 22:23:40 PM »

Firefox 4.0 rc 1 is now in the official testing repository.

where? link please, i dont see.
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #5 on: March 14, 2011, 22:45:57 PM »

http://packages.pardus.org.tr/pardus/2011/testing/i686/firefox-4.0_rc1-149-p11-i686.pisi
http://packages.pardus.org.tr/pardus/2011/testing/x86_64/firefox-4.0_rc1-149-p11-x86_64.pisi
date: 14-Mar-2011 14:56
Logged
Alexey
Pardus fellow craft
**
Gender: Male
Posts: 95



View Profile
« Reply #6 on: March 15, 2011, 00:35:52 AM »

ah, okey.
i stop to build firefox. and delete packages.
Logged
Leopardus
Pardus fellow craft
**
Gender: Male
Posts: 36



View Profile
« Reply #7 on: March 23, 2011, 13:26:52 PM »

And as of today, FF 4.0

Edit: you'll also need to update  xulrunner.

http://packages.pardus.org.tr/pardus/2011/testing/x86_64/xulrunner-2.0.0-51-p11-x86_64.pisi
http://packages.pardus.org.tr/pardus/2011/testing/x86_64/firefox-4.0-150-p11-x86_64.pisi

http://packages.pardus.org.tr/pardus/2011/testing/i686/xulrunner-2.0.0-51-p11-i686.pisi
http://packages.pardus.org.tr/pardus/2011/testing/i686/firefox-4.0-150-p11-i686.pisi
« Last Edit: March 23, 2011, 13:31:59 PM by Craig » Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #8 on: March 23, 2011, 14:00:00 PM »

Is FF 4.0 also available for those who like me still are on Pardus 2009 ?

FF 3.6.15 is what I have as current version in P2009
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
Leopardus
Pardus fellow craft
**
Gender: Male
Posts: 36



View Profile
« Reply #9 on: March 23, 2011, 14:30:07 PM »

Unfortunately 3.6.15 is the latest, in both the 2009 stable and test repos.  Sad
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #10 on: March 23, 2011, 17:44:50 PM »

..... for those who like me still are on Pardus 2009 ?
The same is valid for me
I only use P2011-i686/x86_64 for building PiSi packages.
If they are going to port FF 4.0 to P2009, I expect they will wait for the final version.
And FF 3.6.15 is also doing an excellent job.
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!